{
  "type" : "record",
  "name" : "CoverageBasedSex",
  "namespace" : "org.gel.models.metrics.avro",
  "doc" : "Coverage-based sex\n    ========================================\n    General information about the checks, versions, tools, and number of markers\n    TODO: Consider removing Inferred karyotype",
  "fields" : [ {
    "name" : "sampleId",
    "type" : [ "null", "string" ],
    "doc" : "Sample Id (e.g, LP00012645_5GH))"
  }, {
    "name" : "inferredKaryotype",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "KaryotypicSex",
      "doc" : "Kariotypic sex\n    TODO: Check if we want to have different karyotype definitions for XO clearcut/doubtful",
      "symbols" : [ "UNKNOWN", "XX", "XY", "XO", "XXY", "XXX", "XXYY", "XXXY", "XXXX", "XYY", "OTHER" ]
    } ],
    "doc" : "Inferred karyotype using coverage information"
  }, {
    "name" : "ratioChrX",
    "type" : [ "null", "double" ],
    "doc" : "Ratio of the average coverage of chromosome X to the average of the autosomal chromosome coverage"
  }, {
    "name" : "ratioChrY",
    "type" : [ "null", "double" ],
    "doc" : "Ratio of the average coverage of chromosome Y to the average of the autosomal chromosome coverage"
  }, {
    "name" : "avgCnvChrX",
    "type" : [ "null", "double" ],
    "doc" : "Number of copies of chromosome X"
  }, {
    "name" : "avgCnvChrY",
    "type" : [ "null", "double" ],
    "doc" : "Number of copies of chromosome Y"
  } ]
}
